<?php
require_once '../config/conexion.php';

class Seguro {
    private $db;
    public function __construct() {
        $this->db = (new Connection())->open();
    }

    public function getAll() {
        return $this->db->query("SELECT * FROM seguro ORDER BY id DESC")->fetchAll(PDO::FETCH_ASSOC);
    }

    public function insert($data) {
        $sql = "INSERT INTO seguro (nro_placa, aseguradora, nro_poliza_seguro, fecha_inicio, fecha_vto)
                VALUES (:nro_placa, :aseguradora, :nro_poliza_seguro, :fecha_inicio, :fecha_vto)";
        $stmt = $this->db->prepare($sql);
        return $stmt->execute($data);
    }
}
